Bug 55814 - nautilus eats memory, crashes?
nautilus eats memory, crashes?
Product: Red Hat Linux
Classification: Retired
Component: nautilus (Show other bugs)
i686 Linux
high Severity high
: ---
: ---
Assigned To: Havoc Pennington
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-11-06 21:03 EST by Need Real Name
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-11-25 14:07:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-11-06 21:03:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.7-10 i686)

Description of problem:
I just installed RH7.2 on my 1.3G Athlon (with 512M Ram).   Nautilus seems
leak like a sieve, every new window opened produces more mem use for it,
when the window is closed, the memory is not released.

Possibly related, using another theme with nautilus besides the default
locks up the computer completely, no keyboard, no mouse, no nothing input. 
I can't
check if this is some sorta weird memory overrun because, well, I can't
look because
the computer is locked.  (Btw, nice journaling file system, helped me
recover from two
nautilus caused crashes so far).

Version-Release number of selected component (if applicable):
The nautilus version that came with RH 7.2, 1.0.4

How reproducible:

Steps to Reproduce:
1. open a nautilus window (or have that start here stuff at start up)
2. check mem usage.. note amount (usually anywhere from 45M to 65M!), note
that nautilus loads anywhere from 4 to 6 versions of itself
3.  open another nautilus window
4.  Check mem amount, it's gone up, as it should (after all another window
5.  close window, check mem amount.  Mem usage has not gone down, it'll be
 70M now.  

Actual Results:  Nautilus seems to spawn several versions of itself on
startup.  The other, spurious,
versions can't be killed (used gtop and ps to check this out).  Shutting
down a
nautilus window doesn't remove it from memory, or reduce the amount of
used, if nautilus is running the desktop (any way to make it not run the
desktop but
still keep the desktop useable?).  70M for a desktop seems a poor tradeoff.

I just opened a nautilus window.  Nautilus was not running on my system
before (and
hence my desktop was crippled).  It took a horrendous amount of time to
load AND... is currently using 113M!!!!!  for one window!  This is

Expected Results:  I expect it to open windows with a quick response time. 
This is a fast machine with
a lot of memory, all of it should not be used by a file browser.  I expect
it to release
memory when windows are closed, even if one nautilus window remains open. 
I expect
the desktop part of the system to not take up 70M (because nautilus runs
desktop even when you close all the windows and there seems to be no way to
change this without losing desktop functionality).

Additional info:

Penguin Computing Tempest, Althon 1.3G, 512M Brand new, came with factory
installed RH 7.1.  I upgraded to 7.2  Perhaps these problems are caused by
the upgrade?  I didn't remove any of the suggested packages from the
upgrade.  I would like to at least know how to go back to GMC, so I can
have a functional file browser and desktop.
Comment 1 sahag 2001-11-06 23:10:36 EST
my computer also used to lock up after some period of time when I was using
GNOME as default desktop.
Now I switched to KDE and everything works fine. But still I don't know why does
 gnome completely freeze the system.
Comment 2 Need Real Name 2001-11-10 00:52:02 EST
Several days, many crashes, and two reinstalls later, I can't really say I've
narrowed down where this bug happens.

Some considerations:  I updated to 7.2 from 7.1. I think it was updating, and
not doing a clean install that caused the buggy gnome/nautilus environment. 
However, updating probably shouldn't do this, logically.  Nautilus still uses a
huge amount of memory on the clean install, but it's playing better with the CPU
now.  I went back to 7.1 on my production machine, and will continue to play
with 7.2 on my test machine, to see if I can narrow this bug down better.  Sorry
for the vehement tone of the original post, it was a shock going from a system
that was stable 24/7 to one that made me feel like I was running that 'other'
operating system again.

Comment 3 Havoc Pennington 2001-11-10 13:37:56 EST
I think you're misinterpreting what you see in "top" in several ways. First, 
all the listings for Nautilus are threads, not processes; the memory for each row 
does not add up, it's all the same memory. Secondly, memory on Linux is almost
never freed, processes typically only grow. This is because freeing it doesn't
do that much good (it can just be paged out instead). It's just how memory
allocation works. The exception is large allocations, but Nautilus is mostly
using lots of small allocations. Finally, you may also be misinterpreting the
meaning of the Size/RSS columns; these include the size of binary code,
including the nautilus binary and libraries shared with the rest of GNOME.

So, in the following top output:

24970 gnome1     9   0 11244  10M  7596 S     0.0  2.1   0:01 nautilus
24976 gnome1     9   0 11244  10M  7596 S     0.0  2.1   0:00 nautilus
24977 gnome1     9   0 11244  10M  7596 S     0.0  2.1   0:00 nautilus
24978 gnome1     9   0 11244  10M  7596 S     0.0  2.1   0:00 nautilus

7596K are shared with other GNOME apps, the total size of Nautilus is 11M or so,
but only 11M minus 7596K or 3.5M or so is dynamically allocated, the rest
is just shared library code that will be reported in duplicate for all apps
using the library. The four listings for Nautilus are about the same process, 
just different threads, so the total memory is only the 11M, it is not 44.

As for crashes, yes that does happen from time to time, but we need backtraces
and/or specific instructions to reproduce the crash.
Comment 4 Frank Worsley 2001-11-11 16:21:37 EST
Hi, I don't think the problem with your machine locking up is Nautilus/Gnome but
rather the kernel.
I had the same problem with my machine locking up cold every once in a while
after upgrading to 7.2. Needless to say that really sucks! At first I also
suspected Gnome/X being the problem but actually it is a kernel oops - I got a
new ksyms.X file in /var/log after every cold lockup. Right now I am just
downloading the new updated 2.4.9-13-athlon kernel from ftp.redhat.com to see if
that fixes my problems.
Comment 5 Need Real Name 2001-11-25 14:07:45 EST
Hello everyone,

I've done some more experimentation on this, with two systems, my AMD and my PII
laptop.  I get weird behavior with both concerning gnome and nautilus, but only
if I upgrade the system from RH 7.1. to RH 7.2  If I install fresh, overwrite
the disk partitions, etc, I don't get the weird behavior.  With the PII the
weird behavior consisted of:   1.  Not having a panel (I assume the desktop
overwrote it, because the panel shows up while loading, then disappears) and
then 2. not having Sawfish, even though it should be turned on.  Very strange
indeed.  With the AMD the weird behavior was as described above, lockups, etc.

If I upgrade and don't install Nautilus, I don't seem to have the problems, but
I only tested this really cusorily, so I'm not entirely sure.  Anyway, it seems
to me the problem is more to do with the upgrade installation than with the
actual core programs.  Something is really screwy in the upgrade.  Ohh yea, I
tested to make sure this wasn't a result of old .gnome files hanging around in
$HOME.  It wasn't, it happened with a fresh user on the newly upgraded system as

If someone wants to close this bug, they are welcome to do so, as it seems to me
to be a bug in the upgrade somehow.  Thanks a lot for your time and attention to
this matter.  If someone wants me to experiment more, or run tracebacks, etc. 
Please let me know.
Comment 6 Havoc Pennington 2002-02-26 18:10:47 EST
I think the "lose panel on upgrade" and "nautilus crashes sometimes" bugs are
adequately covered by other bugs that are still open - since this one lacks
specific examples I'm removing it so I can see the rest. ;-)

Note You need to log in before you can comment on or make changes to this bug.